PYNLPL-COMPUTEPMI(1)

NAME
computepmi - manual page for pynlpl-computepmi 0.7.7

DESCRIPTION
usage: pynlpl-computepmi [-h] -f INPUTTEXT [-s] [-t THRESHOLD] [-a] [-A]

    [--pmi] [--npmi] [--jaccard] [--dice]

Simple cooccurence computation

  optional arguments:

-h, --help
    show this help message and exit

-f INPUTTEXT, --inputtext INPUTTEXT
    Input file (plaintext, tokenised, utf-8, one sentence per line) (default: )

-s, --sorted
    Output sorted by co-occurrence score (default: False)

-t THRESHOLD, --threshold THRESHOLD
    Joined occurrence threshold, do not consider words occurring less than this (default: 1)

-a, --adjacency
    Compute the adjacency fraction (how many co-occurrence are immediate bigrams) (default: False)

-A, --discountadjacency
    Do not take immediately adjacent fragments (bigrams) into account when computing mutual information (requires -a) (default: False)

--pmi
    Compute pointwise mutual information (default: False)

--npmi
    Compute normalised pointwise mutual information (default: False)

--jaccard
    Compute jaccard similarity coefficient (default: False)

--dice
    Compute dice coefficient (default: False)